package com.gic.haoban.manage.service.service.out.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.api.dto.HaobanUserDTO;
import com.gic.haoban.manage.api.service.HaobanUserApiService;
import com.gic.haoban.manage.service.service.HaobanUserService;

@Service("haobanUserApiService")
public class HaobanUserApiServiceImpl implements HaobanUserApiService {

    @Autowired
    private HaobanUserService haobanUserService;

    @Override
    public HaobanUserDTO insert(HaobanUserDTO tabHaobanUser) {
       return this.haobanUserService.insert(tabHaobanUser);
    }

    @Override
    public HaobanUserDTO selectByPhone(String wxEnterpriseId, String phone) {
        return this.haobanUserService.selectByPhone(wxEnterpriseId, phone);
    }
    
    @Override
    public void updateDefaultGicEid(String userId, String gicEnterpriseId) {
        this.haobanUserService.updateDefaultGicEid(userId, gicEnterpriseId);
    }
    
    @Override
    public HaobanUserDTO selectById(String userId) {
        return this.haobanUserService.selectById(userId);
    }
}
